UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
com.latencybusters.lbm.LBMWildcardReceiverAttributes Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMWildcardReceiverAttributes:

## Public Member Functions
| LBMWildcardReceiverAttributes () throws LBMException
| LBMWildcardReceiverAttributes (String contextName, String pattern, int pattern_type) throws LBMException
void | setFromXml (String contextName, String pattern, int pattern_type) throws LBMException
void | dispose ()
LBMConfigOption[] | dumpAttributeList ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
Object | setProperty (String attributeName, String attributeValue)
void | load (InputStream inStream) throws IOException
void | setPatternCallback (LBMWildcardPatternCallback cb, Object cbArg)
void | setReceiverCreateCallback (LBMWildcardReceiverCreateCallback cb, Object cbArg)
void | setReceiverDeleteCallback (LBMWildcardReceiverDeleteCallback cb, Object cbArg)

## Protected Member Functions
void | finalize ()

## Protected Attributes
LBMWildcardReceiverCreateCallback | _rcv_create_cb = null
Object | _rcv_create_cbArg = null
LBMWildcardReceiverDeleteCallback | _rcv_delete_cb = null
Object | _rcv_delete_cbArg = null

## Detailed Description

Encapsulates the set of default LBM wildcard receiver attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes | ( |  | ) | throws LBMException

Create and fill an LBMWildcardReceiverAttributes object with the current default values.

Exceptions

  LBMException |

com.latencybusters.lbm.LBMWildcardReceiverAttributes.LBMWildcardReceiverAttributes | ( | String | contextName,
|  | String | pattern,
|  | int | pattern_type
| ) |  | throws LBMException

Create and fill an LBMWildcardReceiverAttributes object with the current default values for the given context name, pattern and pattern type.

Parameters

  contextName | The name of the context under which the wildcard receiver is to be created.
  pattern | The wildcard receiver pattern which will be used to create the wildcard receiver. Must match the wildcard receiver pattern in the XML configuration exactly.
  pattern_type | The pattern_type of the wildcard receiver. Is written into the attributes object.

Exceptions

  LBMException | if contextName, or pattern and pattern_type combination are not permitted by the XML configuration.

## Member Function Documentation

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMWildcardReceiverAttributes.finalize().

LBMConfigOption [] com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions.

Returns
  Array of LBMConfigOption

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMWildcardReceiverAttributes.dispose().

String com.latencybusters.lbm.LBMWildcardReceiverAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of wildcard receiver-related attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.load | ( | InputStream | inStream | ) | throws IOException

Reads a property (attribute) list (key and element pairs) from the input stream.

Parameters

  inStream | Input stream of bytes

Exceptions

  IOException | if any I/O error occurs.
  LBMRuntimeException | if any invalid attribute is detected in `inStream`.

References com.latencybusters.lbm.LBMWildcardReceiverAttributes.setProperty().

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setFromXml | ( | String | contextName,
|  | String | pattern,
|  | int | pattern_type
| ) |  | throws LBMException

Fill an LBMWildcardReceiverAttributes object with the default values for the given context name, pattern and pattern type.

Parameters

  contextName | The name of the context under which the wildcard receiver is to be created.
  pattern | The wildcard receiver pattern which will be used to create the wildcard receiver. Must match the wildcard receiver pattern in the XML configuration exactly.
  pattern_type | The pattern_type of the wildcard receiver. Is written into the attributes object.

Exceptions

  LBMException | if contextName, or pattern and pattern_type combination are not permitted by the XML configuration.

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setPatternCallback | ( | LBMWildcardPatternCallback | cb,
|  | Object | cbArg
| ) |  |

Set the callback interface (and a callback handle argument) to be called when a pattern match is desired for a topic discovered for a wildcard receiver if the pattern type is set to "appcb".

Parameters

  cb | An object implementing the LBMWildcardPatternCallback interface
  cbArg | Callback object passed as a token to the callback interface

Object com.latencybusters.lbm.LBMWildcardReceiverAttributes.setProperty | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the current value of an attribute in this set of wildcard receiver-related attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMRuntimeException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

References com.latencybusters.lbm.LBMWildcardReceiverAttributes.setValue().

Referenced by com.latencybusters.lbm.LBMWildcardReceiverAttributes.load().

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setReceiverCreateCallback | ( | LBMWildcardReceiverCreateCallback | cb,
|  | Object | cbArg
| ) |  |

Set the receiver create callback for this wildcard receiver; this callback will be called when a new internal receiver is created and allows the LBMReceiverAttributes that will be used to create the receiver to be changed before the receiver is created.

Parameters

  cb | An object implementing the LBMWildcardReceiverCreateCallback interface.
  cbArg | Callback object passed as a token to the callback interface.

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setReceiverDeleteCallback | ( | LBMWildcardReceiverDeleteCallback | cb,
|  | Object | cbArg
| ) |  |

Set the receiver delete callback for this wildcard receiver; this callback will be called when a new internal receiver is deleted.

Parameters

  cb | An object implementing the LBMWildcardReceiverDeleteCallback interface.
  cbArg | Callback object passed as a token to the callback interface.

void com.latencybusters.lbm.LBMWildcardReceiverAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of wildcard receiver-related attributes. Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

See also
  setProperty

Referenced by com.latencybusters.lbm.LBMWildcardReceiverAttributes.setProperty().

The documentation for this class was generated from the following file:

- LBMWildcardReceiverAttributes.java